package org.etsi.saref.server.entities;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.etsi.saref.server.SAREF;

public class SAREFTerm {

    public String prefixedIri;
    public String iri;
    public String label;
    public String comment;
    public String ontologyName;
    public String ontologyIri;

    public SAREFTerm(String iri, String label, String comment) {
    	this.iri = iri;
    	this.label = label;
    	this.comment = comment;
    	final Matcher matcher = Pattern.compile(SAREF.REGEX_TERM).matcher(iri);
		if (!matcher.find()) {
			throw new IllegalArgumentException(iri);
		}
		SAREFProject project = SAREF.extractProject(iri);
		this.ontologyIri = project.getNamespace();
		this.ontologyName = project.getName();
		String localName = matcher.group(SAREF.REGEX_TERM_NAME_VAR);
    	this.prefixedIri = String.format("%s:%s", project.getPrefix(), localName);
	}
}
